> For the complete documentation index, see [llms.txt](https://developer.myidentitypass.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.myidentitypass.com/v1/data-verification-1/biometric/face-1.md).

# Face Recognition

## Best Practices(Face Biometrics)

Here are some of the best practices to get the absolute best from myidentitypay services

**A few rules for uploading selfie images**

* We suggest maximum resolution of 640x480, and maximum file size of 150 kbs
* If images are too big we will shrink them but larger files will take longer to upload
* File types we support are PNG, JPEG

**Tips to taking the perfect selfie**

* You need a good lighting....but avoid bright lights behind you
* It just the face...not too far or too close
* File types we support are PNG, JPEG, and BASE64 String
* Remove anything in the way...including your hands


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/biometric/face-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
